Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:52 2009

## Asterisk developer's documentation

# skinny_line Struct Reference

Collaboration diagram for skinny_line:

[legend]

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
int | amaflags
char | call_forward [AST_MAX_EXTENSION]
ast_group_t | callgroup
int | callreturn
int | callwaiting
int | cancallforward
int | capability
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
char | context [AST_MAX_CONTEXT]
int | curtone
int | dnd
char | exten [AST_MAX_EXTENSION]
int | group
int | hascallerid
int | hidecallerid
int | hookstate
int | immediate
int | instance
char | label [42]
char | language [MAX_LANGUAGE]
char | lastcallerid [AST_MAX_EXTENSION]
ast_mutex_t | lock
char | mailbox [AST_MAX_EXTENSION]
int | msgstate
char | musicclass [MAX_MUSICCLASS]
int | mwiblink
char | name [80]
int | needdestroy
struct skinny_line * | next
int | nonCodecCapability
int | onhooktime
struct skinny_device * | parent
ast_group_t | pickupgroup
int | progress
struct skinny_subchannel * | sub
int | threewaycalling
int | transfer
int | type

## Detailed Description

Definition at line 823 of file chan_skinny.c.

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Definition at line 828 of file chan_skinny.c.

Referenced by skinny_new().

int amaflags

Definition at line 850 of file chan_skinny.c.

Referenced by skinny_new().

char call_forward[AST_MAX_EXTENSION]

Definition at line 835 of file chan_skinny.c.

Referenced by skinny_new(), and skinny_ss().

ast_group_t callgroup

Definition at line 839 of file chan_skinny.c.

Referenced by build_device(), and skinny_new().

int callreturn

Definition at line 846 of file chan_skinny.c.

Referenced by build_device(), and skinny_ss().

int callwaiting

Definition at line 841 of file chan_skinny.c.

Referenced by build_device(), skinny_request(), and skinny_ss().

int cancallforward

Definition at line 845 of file chan_skinny.c.

Referenced by build_device(), and skinny_ss().

int capability

Definition at line 855 of file chan_skinny.c.

Referenced by build_device(), handle_message(), skinny_new(), and transmit_connect().

char cid_name[AST_MAX_EXTENSION]

Definition at line 833 of file chan_skinny.c.

Referenced by build_device(), skinny_call(), skinny_new(), and skinny_ss().

char cid_num[AST_MAX_EXTENSION]

Definition at line 832 of file chan_skinny.c.

Referenced by build_device(), skinny_call(), skinny_new(), and skinny_ss().

char context[AST_MAX_CONTEXT]

Definition at line 830 of file chan_skinny.c.

Referenced by build_device(), and skinny_new().

int curtone

Definition at line 838 of file chan_skinny.c.

int dnd

Definition at line 847 of file chan_skinny.c.

Referenced by handle_message(), skinny_call(), skinny_request(), and skinny_ss().

char exten[AST_MAX_EXTENSION]

Definition at line 829 of file chan_skinny.c.

Referenced by skinny_new().

int group

Definition at line 853 of file chan_skinny.c.

int hascallerid

Definition at line 848 of file chan_skinny.c.

int hidecallerid

Definition at line 849 of file chan_skinny.c.

Referenced by skinny_ss().

int hookstate

Definition at line 860 of file chan_skinny.c.

Referenced by build_device(), handle_message(), skinny_call(), and skinny_hangup().

int immediate

Definition at line 859 of file chan_skinny.c.

Referenced by build_device().

int instance

Definition at line 852 of file chan_skinny.c.

Referenced by build_device(), do_housekeeping(), handle_message(), skinny_answer(), skinny_call(), skinny_hangup(), skinny_indicate(), and skinny_show_lines().

char label[42]

Definition at line 826 of file chan_skinny.c.

Referenced by build_device(), handle_message(), and skinny_show_lines().

char language[MAX_LANGUAGE]

Definition at line 831 of file chan_skinny.c.

Referenced by build_device(), and skinny_new().

char lastcallerid[AST_MAX_EXTENSION]

Definition at line 834 of file chan_skinny.c.

Referenced by skinny_ss().

ast_mutex_t lock

Definition at line 824 of file chan_skinny.c.

Referenced by build_device(), and delete_devices().

char mailbox[AST_MAX_EXTENSION]

Definition at line 836 of file chan_skinny.c.

Referenced by build_device(), do_housekeeping(), and has_voicemail().

int msgstate

Definition at line 858 of file chan_skinny.c.

Referenced by build_device().

char musicclass[MAX_MUSICCLASS]

Definition at line 837 of file chan_skinny.c.

Referenced by build_device().

int mwiblink

Definition at line 844 of file chan_skinny.c.

Referenced by build_device(), and do_housekeeping().

char name[80]

Definition at line 825 of file chan_skinny.c.

Referenced by build_device(), do_housekeeping(), find_subchannel_by_name(), handle_message(), skinny_answer(), skinny_hangup(), skinny_new(), skinny_show_lines(), and skinny_ss().

int needdestroy

Definition at line 854 of file chan_skinny.c.

struct skinny_line* next`[read]`

Definition at line 862 of file chan_skinny.c.

Referenced by build_device(), delete_devices(), find_subchannel_by_name(), handle_message(), skinny_show_devices(), and skinny_show_lines().

int nonCodecCapability

Definition at line 856 of file chan_skinny.c.

int onhooktime

Definition at line 857 of file chan_skinny.c.

Referenced by build_device().

struct skinny_device* parent`[read]`

Definition at line 863 of file chan_skinny.c.

Referenced by build_device(), do_housekeeping(), handle_message(), skinny_answer(), skinny_call(), skinny_hangup(), skinny_indicate(), skinny_new(), skinny_senddigit(), skinny_show_lines(), skinny_ss(), and start_rtp().

ast_group_t pickupgroup

Definition at line 840 of file chan_skinny.c.

Referenced by build_device(), and skinny_new().

int progress

Definition at line 861 of file chan_skinny.c.

struct skinny_subchannel* sub`[read]`

Definition at line 827 of file chan_skinny.c.

Referenced by build_device(), delete_devices(), find_subchannel_by_line(), find_subchannel_by_name(), and skinny_show_lines().

int threewaycalling

Definition at line 843 of file chan_skinny.c.

Referenced by build_device().

int transfer

Definition at line 842 of file chan_skinny.c.

Referenced by build_device(), and handle_message().

int type

Definition at line 851 of file chan_skinny.c.

Referenced by build_device(), and skinny_hangup().

The documentation for this struct was generated from the following file:

- chan_skinny.c